Loading...
Searching...
No Matches
gx_engine::GxSimpleConvolver Class Reference

`#include <gx_convolver.h>`

Inheritance diagram for gx_engine::GxSimpleConvolver:

## Public Member Functions

| GxSimpleConvolver (gx_resample::BufferResampler &resamp_)
bool | configure (int count, float *impresp, unsigned int imprate)
bool | update (int count, float *impresp, unsigned int imprate)
bool | compute (int count, float *input, float *output)
bool | compute (int count, float *buffer)
bool | configure_stereo (int count, float *impresp, unsigned int imprate)
bool | update_stereo (int count, float *impresp, unsigned int imprate)
bool | compute_stereo (int count, float *input, float *input1, float *output, float *output1)
bool | compute_stereo (int count, float *buffer, float *buffer1)
Public Member Functions inherited from gx_engine::GxConvolverBase
void | set_buffersize (unsigned int sz)
unsigned int | get_buffersize ()
void | set_samplerate (unsigned int sr)
unsigned int | get_samplerate ()
bool | checkstate ()
void | set_not_runnable ()
bool | is_runnable ()
bool | start (int policy, int priority)
void | set_sync (bool val)

## Private Attributes

gx_resample::BufferResampler & | resamp

## Additional Inherited Members

Protected Member Functions inherited from gx_engine::GxConvolverBase
void | adjust_values (unsigned int audio_size, unsigned int &count, unsigned int &offset, unsigned int &delay, unsigned int &ldelay, unsigned int &length, unsigned int &size, unsigned int &bufsize)
| GxConvolverBase ()
| ~GxConvolverBase ()
Protected Attributes inherited from gx_engine::GxConvolverBase
volatile bool | ready
bool | sync
unsigned int | buffersize
unsigned int | samplerate

## Detailed Description

Definition at line 157 of file gx_convolver.h.

## Constructor & Destructor Documentation

## GxSimpleConvolver()

gx_engine::GxSimpleConvolver::GxSimpleConvolver | ( | gx_resample::BufferResampler & | resamp_ | ) |

inline

Definition at line 161 of file gx_convolver.h.

## Member Function Documentation

## compute() [1/2]

bool gx_engine::GxSimpleConvolver::compute | ( | int | count,
|  | float * | buffer )

inline

Definition at line 166 of file gx_convolver.h.

## compute() [2/2]

bool gx_engine::GxSimpleConvolver::compute | ( | int | count,
|  | float * | input,
|  | float * | output )

Referenced by compute().

## compute_stereo() [1/2]

bool gx_engine::GxSimpleConvolver::compute_stereo | ( | int | count,
|  | float * | buffer,
|  | float * | buffer1 )

inline

Definition at line 173 of file gx_convolver.h.

## compute_stereo() [2/2]

bool gx_engine::GxSimpleConvolver::compute_stereo | ( | int | count,
|  | float * | input,
|  | float * | input1,
|  | float * | output,
|  | float * | output1 )

Referenced by compute_stereo().

## configure()

bool gx_engine::GxSimpleConvolver::configure | ( | int | count,
|  | float * | impresp,
|  | unsigned int | imprate )

## configure_stereo()

bool gx_engine::GxSimpleConvolver::configure_stereo | ( | int | count,
|  | float * | impresp,
|  | unsigned int | imprate )

## update()

bool gx_engine::GxSimpleConvolver::update | ( | int | count,
|  | float * | impresp,
|  | unsigned int | imprate )

## update_stereo()

bool gx_engine::GxSimpleConvolver::update_stereo | ( | int | count,
|  | float * | impresp,
|  | unsigned int | imprate )

## Member Data Documentation

## resamp

gx_resample::BufferResampler& gx_engine::GxSimpleConvolver::resamp

private

Definition at line 159 of file gx_convolver.h.

Referenced by GxSimpleConvolver().

The documentation for this class was generated from the following file:

- src/headers/gx_convolver.h